#ifndef _Handle_PColStd_HArray2OfReal_HeaderFile
#define _Handle_PColStd_HArray2OfReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColStd_HArray2OfReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_HArray2OfReal);

class Handle(PColStd_HArray2OfReal) : public Handle(Standard_Persistent) {
  public:

    Handle(PColStd_HArray2OfReal)():Handle(Standard_Persistent)() {} 
    Handle(PColStd_HArray2OfReal)(const Handle(PColStd_HArray2OfReal)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColStd_HArray2OfReal)(const PColStd_HArray2OfReal* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColStd_HArray2OfReal)& operator=(const Handle(PColStd_HArray2OfReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_HArray2OfReal)& operator=(const PColStd_HArray2OfReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_HArray2OfReal* operator->() const 
     {
      return (PColStd_HArray2OfReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_HArray2OfReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
